1. Forms
  • Overview
  • Endpoints
    • Companies
      • All companies
      • Get a company
      • Create company
      • Create payment
    • Pricing
      • Get pricing packages
    • Countries
      • All countries
      • Get a country
    • Forms
      • Get a form
        GET
    • Leads
      • All leads
      • Get a lead
      • Update status
    • Profile
      • Get profile
      • Update profile
    • Wallet
      • Get wallet balance
      • Create topup request
    • Support
      • All tickets
      • Get a ticket
      • Create a ticket
    • Notifications
      • All notifications
      • Mark as read
      • Pusher auth
    • Renewals
      • Search companies for renewal
      • Get dynamic form config for a jurisdiction
      • List renewal requests
      • Request a quote revision
      • Approve quote and confirm wallet payment
      • Initiate quote payment — send OTP
      • Get a renewal by ID
      • Submit a renewal request
    • Files
      • Get a one-time download URL for any file owned by the agent
    • Immigration
      • List immigration objectives
      • Submit an assessment and get matching programmes
      • Get application pre-fill
      • Create an application (draft or submitted)
      • List applications
      • Get an application
      • Update a draft (save again or submit)
      • Delete a draft
  • Schemas
    • QuoteConfig
    • CreatePaymentSuccessResponse
    • SuccessEnvelope
    • StandardSuccess
    • ErrorEnvelope
    • ErrorResponse
    • FieldValidation
    • DirectApplication
    • YesNo
    • FileAttachment
    • Company
    • QuoteBreakdown
    • Field
    • Objective
    • Quote
    • Section
    • AssessmentRequest
    • RenewalFormConfigBody
    • ProcessingStep
    • ProgrammeSummary
    • CreateCompanyRequest
    • ProgrammeMatch
    • RenewalFormConfig
    • CompletedDetails
    • ExternalCompany
    • ApplicationPrefill
    • Renewal
    • Applicant
    • FormConfigField
    • ApplicantFields
    • FormConfigSection
    • FamilyMember
    • FamilyMemberFields
    • FormConfig
    • Funds
    • DocumentMeta
    • Declarations
    • StoredDeclarations
    • ApplicationRequest
    • ApplicationStatus
    • Application
    • ApplicationDetail
    • CountryRef
    • CountryName
    • ApplicationListItem
  1. Forms

Get a form

Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
GET
https://demoapi.base93.com/api/v1/user/external/agent/
forms

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demoapi.base93.com/api/v1/user/external/agent/forms?country=68c0095bd23bcd3a5d9e4bf7&company_type=mainland&freezone=dubai' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": true,
    "response_code": 200,
    "message": "Form fetched successfully",
    "data": {
        "_id": "690f47e87866e4126c94dabb",
        "credential": "68cea3fce06ba8ea036656a1",
        "country": "68c0095bd23bcd3a5d9e4bf7",
        "type": "mainland",
        "freezone": "dubai",
        "parent": "690f3dff9128509c1346d20a",
        "title": "Company Setup UAE (Copy)",
        "description": "",
        "pages": [
            {
                "_id": "690f47e47866e4126c94da06",
                "title": "Preferences",
                "description": "Please choose your preferences for the company setup in the UAE.",
                "order": 1,
                "sections": [
                    {
                        "conditional": {
                            "enabled": false,
                            "operator": "equals"
                        },
                        "repeater": {
                            "enabled": false,
                            "source_type": "fixed_count",
                            "min_instances": 1,
                            "max_instances": 10,
                            "fixed_count": 1,
                            "title_template": "Item {index}"
                        },
                        "_id": "690f47e47866e4126c94d9e6",
                        "title": "Emirate",
                        "description": "Choose the Emirate where you wish to incorporate your company.",
                        "order": 1,
                        "fields": [
                            {
                                "validation": {
                                    "file_types": {
                                        "value": []
                                    },
                                    "required": true
                                },
                                "conditional": {
                                    "enabled": false,
                                    "operator": "equals"
                                },
                                "_id": "690f47e47866e4126c94d9dd",
                                "label": "Emirate",
                                "name": "emirate",
                                "placeholder": "Please select your preferred Emirate",
                                "default_value": "",
                                "description": "",
                                "type": "select",
                                "options": [
                                    {
                                        "label": "Dubai",
                                        "value": "option1",
                                        "_id": "6921b31a8c682cb17b4c8d69"
                                    },
                                    {
                                        "label": "Abu Dhabi",
                                        "value": "option2",
                                        "_id": "6921b31a8c682cb17b4c8d6a"
                                    },
                                    {
                                        "label": "Sharjah",
                                        "value": "option3",
                                        "_id": "6921b31a8c682cb17b4c8d6b"
                                    },
                                    {
                                        "label": "Ajman",
                                        "value": "option4",
                                        "_id": "6921b31a8c682cb17b4c8d6c"
                                    },
                                    {
                                        "label": "Umm Al Quwain",
                                        "value": "option5",
                                        "_id": "6921b31a8c682cb17b4c8d6d"
                                    },
                                    {
                                        "label": "Ras Al Khaimah",
                                        "value": "option6",
                                        "_id": "6921b31a8c682cb17b4c8d6e"
                                    },
                                    {
                                        "label": "Fujairah",
                                        "value": "option7",
                                        "_id": "6921b31a8c682cb17b4c8d6f"
                                    }
                                ],
                                "order": 1,
                                "created_at": "2025-11-08T13:38:44.344Z",
                                "updated_at": "2025-11-22T12:56:58.106Z",
                                "__v": 1
                            }
                        ],
                        "created_at": "2025-11-08T13:38:44.392Z",
                        "updated_at": "2025-11-08T13:38:44.392Z",
                        "__v": 0
                    },
                    {
                        "conditional": {
                
Modified at 2026-10-28 10:03:58
Previous
Get a country
Next
All leads
Built with